package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF1F1RWSBusinessData {

    private Map<String, Object> params;
    
    public MWF1F1RWSBusinessData(Map<String, Object> params) {
        this.params = params;
    }

    public String rsFirstname() {
        return (String) params.get("RS_FIRSTNAME");
    }

    public String rsSurname() {
        return (String) params.get("RS_SURNAME");
    }

    public String rsRole() {
        return (String) params.get("RS_ROLE");
    }

    public java.util.Date rsBirthnumber() {
        return (java.util.Date) params.get("RS_BIRTHNUMBER");
    }

    public String rsAddresscity() {
        return (String) params.get("RS_ADDRESSCITY");
    }

    public String rsAddresszipcode() {
        return (String) params.get("RS_ADDRESSZIPCODE");
    }

    public String rsAddressstreetdescnumber() {
        return (String) params.get("RS_ADDRESSSTREETDESCNUMBER");
    }

    public String rsAddressstreet() {
        return (String) params.get("RS_ADDRESSSTREET");
    }

    public String rsAddresscountry() {
        return (String) params.get("RS_ADDRESSCOUNTRY");
    } 

}
